Subject: bug#59252: 29.0.50; Add new ts-modes to eglot-server-programs

From: Theodor Thornhill <[email-masked]>
Date: Sun, 27 Nov 2022 08:11:00 +0100

On 27 November 2022 08:04:52 CET, Stefan Kangas <[email-masked]> wrote:
>Theodor Thornhill via "Bug reports for GNU Emacs, the Swiss army knife
>of text editors" <[email-masked]> writes:
>
>> It seems like js-ts-mode is the only one missing, so here's a new patch
>> adding that.
>
>Thanks, pushed (commit 40ff40198d) and closing this bug.
>
>> From 2d179dd436f410bba30790fad60b04f9b338cc7b Mon Sep 17 00:00:00 2001
>> From: Theodor Thornhill <[email-masked]>
>> Date: Sat, 26 Nov 2022 21:12:51 +0100
>> Subject: [PATCH] Add js-ts-mode to eglot-server-programs
>>
>> * lisp/progmodes/eglot.el (eglot-server-programs): Add js-ts-mode as
>> an alternative.
>
>Please remember to add the bug number, like this:
>
>* lisp/progmodes/eglot.el (eglot-server-programs): Add js-ts-mode as
>an alternative.  (Bug#59252)
>
>(I did that for you before pushing.)

Thanks - I can start creating the bug before the patch, so that I know what the bug number will be. It just often take a really long time before I get the acknowledge for the bug :)